import { BaseFilter, BaseQuery } from '@cubejs-backend/schema-compiler';
export declare class DatabricksQuery extends BaseQuery {
    newFilter(filter: any): BaseFilter;
    castToString(sql: string): string;
    hllInit(sql: string): string;
    hllMerge(sql: string): string;
    hllCardinality(sql: string): string;
    hllCardinalityMerge(sql: string): string;
    countDistinctApprox(sql: string): string;
    convertTz(field: string): string;
    timeStampCast(value: string): string;
    dateTimeCast(value: string): string;
    subtractInterval(date: string, interval: string): string;
    addInterval(date: string, interval: string): string;
    timeGroupedColumn(granularity: string, dimension: string): string;
    /**
     * Returns sql for source expression floored to timestamps aligned with
     * intervals relative to origin timestamp point.
     */
    dateBin(interval: string, source: string, origin: string): string;
    /**
     * The input interval with (possible) plural units, like "2 years", "3 months", "4 weeks", "5 days"...
     * will be converted to Databricks dialect.
     * @see https://docs.databricks.com/en/sql/language-manual/data-types/interval-type.html
     * It returns a tuple of (formatted interval, timeUnit to use in datediff functions)
     */
    private formatInterval;
    escapeColumnName(name: string): string;
    getFieldIndex(id: string): any;
    unixTimestampSql(): string;
    orderHashToString(hash: any): string | null;
    defaultRefreshKeyRenewalThreshold(): number;
    sqlTemplates(): any;
}
//# sourceMappingURL=DatabricksQuery.d.ts.map